ECHO Off
IF NOT . == .%3 GOTO PARMSOK
ECHO Please start the setup program by running SDLSETUP.
GOTO QUIT
:PARMSOK
sdl_get B
ECHO * * *
ECHO The next section includes:
ECHO      Sleeve Inserts page ejects
ECHO      More or Pause
ECHO      Number of files for Tiny print labels
ECHO      Line printing characters
ECHO      . and .. directories
ECHO      Color or Monochrome displays.
echo      Size of 3" disk labels
ECHO * * *
echo The selections in this section do not have menu options to change them
ECHO once they are set.  The only way to change them is to run SDLSETUP
ECHO again.  To skip to the next section press Esc at any prompt.
ECHO * * *
ECHO You can set sleeve Inserts to eject a full page (66 lines).
ECHO The original default was one-half page (33 lines).
ECHO * * *
sdl_get C "Press 3 for 33 lines, 6 for 66 lines or cr for no change (3,6,cr): " 63~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
SET GET=
IF ERRORLEVEL 54 IF NOT ERRORLEVEL 55 SET GET=42
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 SET GET=21
IF NOT ERRORLEVEL 125 ECHO E 235 %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO As mentioned earlier, /M for More is the command switch to indicate
ECHO that you want to pause to see a Menu at the end of each screen.
ECHO If you require compatibility with earlier versions of SDL, you
ECHO may specify P for Pause instead of P for Print. (M for More or
ECHO Menu will still work, but you will have to use R for pRint.)
Echo Note: This change only affects the /M or /P switch on the command
Echo line. You can still use P for Print at the final menu.  On
Echo multiscreen menus you will still see --More-- at the
Echo end of the intermediate screens. This is a general use of --More--
Echo patterned after the DOS MORE filter.  Any key other than those
Echo shown on the menu will initiate the display of the next screen.
ECHO * * *
sdl_get C "Press M for More, P for Pause, or cr for no change (M,p,cr): " PM~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
SET GET=
IF ERRORLEVEL 80 IF NOT ERRORLEVEL 81 SET GET=50 52
IF ERRORLEVEL 77 IF NOT ERRORLEVEL 78 SET GET=4D 50
IF NOT ERRORLEVEL 125 ECHO E 237 %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO When using the /L option to print labels, SDL figures 11 filenames
ECHO for each column if it uses Tiny print.  This works fine on most
ECHO printers and is specific to some Epson LQ models.  Some printers
ECHO have smaller fonts and can fit up to 15 files per column, for
ECHO example the Epson FX-80.  You may change the number up to 15 if you
ECHO have a printer that can handle it.
ECHO * * *
sdl_get C "Enter B for 11, C for 12, D for 13, E for 14, or F for 15 (B,c,d,e,f)?" BCDEF}~
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
IF NOT ERRORLEVEL 125 ECHO E 23A %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO When printing a directory, SDL usually substitutes printable
ECHO ASCII characters for the line drawing characters you see on your
ECHO screen.  If your printer supports the extended ASCII characters
ECHO you can have SDL use them to produce a neater printout.
ECHO * * *
sdl_get C "Press L for line drawing, S for substitutes (S,l,cr): " LS~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
IF ERRORLEVEL 83 IF NOT ERRORLEVEL 84 ECHO E 234 00>>SDLSETUP.TXT
IF ERRORLEVEL 76 IF NOT ERRORLEVEL 77 ECHO E 234 01>>SDLSETUP.TXT
ECHO * * *
ECHO All DOS subdirectories have two entries named "." and "..".
ECHO The . entry refers to the current subdirectory, while the ..
ECHO entry refers to the parent directory.  Many people find these
ECHO entries superfluous and do not care to see them.  Directories
ECHO will display or not depending on the ALL default setting.  They
ECHO can be toggled on or off with the /A option.  When directories
ECHO are shown, you can have SDL suppress the dots if you want.
ECHO * * *
sdl_get C "Press . to see the dots, or S to suppress them (S,.,cr): " .S~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
SET GET=
IF ERRORLEVEL 46 IF NOT ERRORLEVEL 47 SET GET=01
IF ERRORLEVEL 83 IF NOT ERRORLEVEL 84 SET GET=00
IF NOT ERRORLEVEL 125 ECHO E 236 %GET%>>SDLSETUP.TXT
ECHO * * *
ECHO SDL trys to determine whether you are using a color or monochrome
ECHO monitor.  It uses this to set the attribute for the highlighted
ECHO key letters in the header and menus.  This may not produce
ECHO agreeable results on some monochrome graphics screens, so if
ECHO you do not care for the automatic selection you can specify one
ECHO style to be used all the time.  This may take some experimention.
Echo Rarely a screen enhancer program causes a conflict with SDL's
Echo highlighted characters.  If this is the case you can turn the
Echo highlighting off completely by selecting n for none.  Changing
Echo the titles in the next section will also turn off the
Echo highlighting in the header (but not in the menus).
ECHO * * *
sdl_get C "Select Automatic, Color, Mono, None, or cr(A,c,m,n,cr): "  CAMN~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
set GET=
IF ERRORLEVEL 77 IF NOT ERRORLEVEL 78 SET GET=78
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 SET GET=00
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 SET GET=FF
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 SET GET=0C
IF NOT ERRORLEVEL 125 ECHO E 239 %GET%>>SDLSETUP.TXT
echo * * *
echo When printing labels for 3.5" diskettes there is a choice of two sizes.
echo The nominal 3" size (2-3/4"x2-3/4") wraps around the top of the diskette,
echo while the 2" size (2-3/4"x1-15/16") does not wrap.
echo * * *
sdl_get C "Press 3 for the wrapping label, or 2 for the non-wrap (3,2,cr): " 32~}
IF ERRORLEVEL 126 SDLFINIS %1 %2 %3
SET GET=
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 SET GET=03
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 SET GET=02
IF NOT ERRORLEVEL 125 ECHO E 22A %GET%>>SDLSETUP.TXT
SDLFINIS %1 %2 %3
:QUIT
IF EXIST SDLSETUP.TXT ERASE SDLSETUP.TXT
if exist menu.bat menu
SET GET=
ECHO Exiting to DOS ...

